# Created by pyp2rpm-3.3.8
%global pypi_name lesspass
%global pypi_version 10.2.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        LessPass stateless password generator

License:        GPL-3.0
URL:            https://github.com/lesspass/lesspass
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 LessPass command-line interface (CLI) Install python3 -m pip install --user
lesspass 3.6, 3.8+ Usage lesspass SITE [LOGIN] [MASTER_PASSWORD] [OPTIONS]
LessPass is a stateless password manager. positional arguments: site site used
in the password generation (required) login login used in the password
generation. Default to ''. master_password master password used in password
generation....

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(requests)
%description -n python3-%{pypi_name}
 LessPass command-line interface (CLI) Install python3 -m pip install --user
lesspass 3.6, 3.8+ Usage lesspass SITE [LOGIN] [MASTER_PASSWORD] [OPTIONS]
LessPass is a stateless password manager. positional arguments: site site used
in the password generation (required) login login used in the password
generation. Default to ''. master_password master password used in password
generation....


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/lesspass
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 03 2023 mockbuilder - 10.2.1-1
- Initial package.